<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:57 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Package towerwarspp.io (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package towerwarspp.io (APP)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/io/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Uses of Package towerwarspp.io" class="title">Uses of Package<br>towerwarspp.io</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../towerwarspp/io/package-summary.html">towerwarspp.io</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.io">towerwarspp.io</a></td>
<td class="colLast">
<div class="block">The Input/Output package which displays the Game and computes the Input of the Player.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#towerwarspp.main">towerwarspp.main</a></td>
<td class="colLast">
<div class="block">The main package controls the whole game and implements the inputParameter dialog.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.main.game">towerwarspp.main.game</a></td>
<td class="colLast">
<div class="block">The Game package which controls the main game and implements the save and load option.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#towerwarspp.main.tournament">towerwarspp.main.tournament</a></td>
<td class="colLast">
<div class="block">The tournament package which implements the tournament modus.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.player">towerwarspp.player</a></td>
<td class="colLast">
<div class="block">The player package which implements all possible player Types.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.io">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../towerwarspp/io/package-summary.html">towerwarspp.io</a> used by <a href="../../towerwarspp/io/package-summary.html">towerwarspp.io</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../towerwarspp/io/class-use/Hexagon.html#towerwarspp.io">Hexagon</a>
<div class="block">Class <a href="../../towerwarspp/io/Hexagon.html" title="class in towerwarspp.io"><code>Hexagon</code></a> creates a single Hexagon

 This Class creates an Object of <a href="../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io"><code>Hexagon.Center</code></a> in which are the Coordinates of the Center.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../towerwarspp/io/class-use/Hexagon.Center.html#towerwarspp.io">Hexagon.Center</a>
<div class="block">Class <a href="../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io"><code>Hexagon.Center</code></a> creates a single Center.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../towerwarspp/io/class-use/Hexagon.Corner.html#towerwarspp.io">Hexagon.Corner</a>
<div class="block">Class <a href="../../towerwarspp/io/Hexagon.Corner.html" title="class in towerwarspp.io"><code>Hexagon.Corner</code></a> creates a single Corner.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../towerwarspp/io/class-use/HexagonGrid.html#towerwarspp.io">HexagonGrid</a>
<div class="block">Class <a href="../../towerwarspp/io/HexagonGrid.html" title="class in towerwarspp.io"><code>HexagonGrid</code></a> creates the Grid of the Hexagons.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../towerwarspp/io/class-use/IO.html#towerwarspp.io">IO</a>
<div class="block">Interface <a href="../../towerwarspp/io/IO.html" title="interface in towerwarspp.io"><code>IO</code></a> which extends from <a href="../../towerwarspp/preset/Requestable.html" title="interface in towerwarspp.preset"><code>Requestable</code></a> and <a href="../../towerwarspp/io/View.html" title="interface in towerwarspp.io"><code>View</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../towerwarspp/io/class-use/View.html#towerwarspp.io">View</a>
<div class="block">Interface <a href="../../towerwarspp/io/View.html" title="interface in towerwarspp.io"><code>View</code></a>

 This Interface communicates between the Interface <a href="../../towerwarspp/io/IO.html" title="interface in towerwarspp.io"><code>IO</code></a> and the Class <a href="../../towerwarspp/io/GraphicIO.html" title="class in towerwarspp.io"><code>GraphicIO</code></a> or <a href="../../towerwarspp/io/TextIO.html" title="class in towerwarspp.io"><code>TextIO</code></a>
 to control the output of the game.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.main">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../towerwarspp/io/package-summary.html">towerwarspp.io</a> used by <a href="../../towerwarspp/main/package-summary.html">towerwarspp.main</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../towerwarspp/io/class-use/IO.html#towerwarspp.main">IO</a>
<div class="block">Interface <a href="../../towerwarspp/io/IO.html" title="interface in towerwarspp.io"><code>IO</code></a> which extends from <a href="../../towerwarspp/preset/Requestable.html" title="interface in towerwarspp.preset"><code>Requestable</code></a> and <a href="../../towerwarspp/io/View.html" title="interface in towerwarspp.io"><code>View</code></a>.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.main.game">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../towerwarspp/io/package-summary.html">towerwarspp.io</a> used by <a href="../../towerwarspp/main/game/package-summary.html">towerwarspp.main.game</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../towerwarspp/io/class-use/TextIO.html#towerwarspp.main.game">TextIO</a>
<div class="block">Class <a href="../../towerwarspp/io/TextIO.html" title="class in towerwarspp.io"><code>TextIO</code></a> interacting with to user over the command line.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../towerwarspp/io/class-use/View.html#towerwarspp.main.game">View</a>
<div class="block">Interface <a href="../../towerwarspp/io/View.html" title="interface in towerwarspp.io"><code>View</code></a>

 This Interface communicates between the Interface <a href="../../towerwarspp/io/IO.html" title="interface in towerwarspp.io"><code>IO</code></a> and the Class <a href="../../towerwarspp/io/GraphicIO.html" title="class in towerwarspp.io"><code>GraphicIO</code></a> or <a href="../../towerwarspp/io/TextIO.html" title="class in towerwarspp.io"><code>TextIO</code></a>
 to control the output of the game.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.main.tournament">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../towerwarspp/io/package-summary.html">towerwarspp.io</a> used by <a href="../../towerwarspp/main/tournament/package-summary.html">towerwarspp.main.tournament</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../towerwarspp/io/class-use/View.html#towerwarspp.main.tournament">View</a>
<div class="block">Interface <a href="../../towerwarspp/io/View.html" title="interface in towerwarspp.io"><code>View</code></a>

 This Interface communicates between the Interface <a href="../../towerwarspp/io/IO.html" title="interface in towerwarspp.io"><code>IO</code></a> and the Class <a href="../../towerwarspp/io/GraphicIO.html" title="class in towerwarspp.io"><code>GraphicIO</code></a> or <a href="../../towerwarspp/io/TextIO.html" title="class in towerwarspp.io"><code>TextIO</code></a>
 to control the output of the game.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.player">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../towerwarspp/io/package-summary.html">towerwarspp.io</a> used by <a href="../../towerwarspp/player/package-summary.html">towerwarspp.player</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../towerwarspp/io/class-use/View.html#towerwarspp.player">View</a>
<div class="block">Interface <a href="../../towerwarspp/io/View.html" title="interface in towerwarspp.io"><code>View</code></a>

 This Interface communicates between the Interface <a href="../../towerwarspp/io/IO.html" title="interface in towerwarspp.io"><code>IO</code></a> and the Class <a href="../../towerwarspp/io/GraphicIO.html" title="class in towerwarspp.io"><code>GraphicIO</code></a> or <a href="../../towerwarspp/io/TextIO.html" title="class in towerwarspp.io"><code>TextIO</code></a>
 to control the output of the game.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/io/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
